%global momorel 5

Name:           shotwell
Version:        0.6.1
Release:        %{momorel}m%{?dist}
Summary:        A photo organizer for the GNOME desktop

Group:          Applications/Multimedia
License:        LGPLv2+ 
URL:            http://www.yorba.org/shotwell/
Source0:        http://www.yorba.org/download/shotwell/0.6/shotwell-%{version}.tar.bz2
NoSource: 	0
Source1:        ja.po
Patch0:         %{name}-%{version}-libraw-config-lib64.patch
Patch1:         shotwell-vala093.patch
BuildRequires:  gtk2-devel
BuildRequires:  GConf2-devel
BuildRequires:  sqlite-devel
BuildRequires:  vala-devel
BuildRequires:  libgee-devel
BuildRequires:  libgudev-devel
BuildRequires:  libxml2-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  libgexiv2-devel
BuildRequires:  unique-devel
BuildRequires:  libexif-devel
BuildRequires:  libgphoto2-devel
BuildRequires:  webkitgtk-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  LibRaw-devel

%description
Shotwell is a new open source photo organizer designed for the GNOME desktop
environment. It allows you to import photos from your camera, view and edit
them, and share them with others.

%prep
%setup -q

%patch0 -p1 -b .libraw-lib64

%patch1 -p0 -b vala093

cp %{SOURCE1} po/

%build
./configure --prefix=%{_prefix} --disable-schemas-install
sed -i -e 's/\\n/\n/g' configure.mk
sed -i -e 's/^CFLAGS=.*$/CFLAGS=%{optflags}/' Makefile
%make 


%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export XDG_DISABLE_MAKEFILE_UPDATES=1
# make install DESTDIR=%{buildroot}
make install PREFIX=%{buildroot}/%{_prefix} SCHEMA_FILE_DIR=%{buildroot}%{_sysconfdir}/gconf/schemas

rm %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

# Temporary fix
echo "Encoding=UTF-8" >> %{buildroot}%{_datadir}/applications/shotwell.desktop
echo "Encoding=UTF-8" >> %{buildroot}%{_datadir}/applications/shotwell-viewer.desktop

desktop-file-validate %{buildroot}%{_datadir}/applications/shotwell.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/shotwell-viewer.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/shotwell.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/shotwell.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/shotwell.schemas > /dev/null || :
fi

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING MAINTAINERS NEWS THANKS AUTHORS
%{_sysconfdir}/gconf/schemas/shotwell.schemas
%{_bindir}/shotwell
%{_datadir}/shotwell
%{_datadir}/applications/shotwell.desktop
%{_datadir}/applications/shotwell-viewer.desktop
%{_datadir}/icons/hicolor/scalable/apps/shotwell.svg


%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.1-5m)
- full rebuild for mo7 release

* Sat Aug 28 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.1-4m)
- update ja.po

* Thu Jul 29 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.1-3m)
- rebuild against vala-0.9.3 or later

* Thu Jul  8 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.1-2m)
- fix build on x86_64

* Wed Jul  7 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.1-1m)
- Initial commit Momonga Linux

